export default function ({types: t}) {
    return {
        visitor: {
            Program: {
                enter(path, {file}) {
                    console.log('enter', path)
                },

                exit({
                    node,
                    scope
                }, {file}) {
                    const styleImportDeclaration = t.importDeclaration([t.importDefaultSpecifier(t.identifier('styl'))], t.stringLiteral('./styl.js'))
                    node.body.unshift(styleImportDeclaration)
                }
            }
        }
    }
}